Skip to content

MaaS-Seedream

Capability List

Model ID Capability Support Rate limit (max. IPM sheets/minute)
doubao-seedream-5-0-pro-260628 Single Image Generation: Text-to-Image, Single Image-to-Image, Multi-reference Image-to-Image 500
doubao-seedream-5-0-260128 (also compatible with: doubao-seedream-5-0-lite-260128) Single-image generation: text-to-image, single image-to-image, multi-reference image-to-image Group-image generation: text-to-image group, single image-to-image group, multi-reference image-to-image group 500
doubao-seedream-4-5-251128 Single-image generation: text-to-image, single image-to-image, multi-reference image-to-image Group-image generation: text-to-image group, single image-to-image group, multi-reference image-to-image group 500
doubao-seedream-4-0-250828 Single-image generation: text-to-image, single image-to-image, multi-reference image-to-image Group-image generation: text-to-image group, single image-to-image group, multi-reference image-to-image group 500

Interface and Request Parameters

POST

https://genaiapi-m2.cloudsway.net/v1/ai/ {endpointPath}/seedream/image/generations

Request Parameters

Attribute Name Type Required or not Description
prompt string
Yes Prompt words for image generation, supporting both Chinese and English. It is recommended that the length does not exceed 300 Chinese characters or 600 English words. Excessive word count tends to scatter information, which may cause the model to ignore details and only focus on key points, resulting in missing elements in the generated image.
image
string/array
No
The input image information supports URL or Base64 encoding. Among them, seedream-5.0-lite/5.0-pro/4.5/4.0 support single-image or multi-image input
(If the total size of the image exceeds 10MB, it is recommended to transmit it via URL)
  • Image URL: Please ensure that the image URL is accessible.
  • Base64 Encoding: Please follow the format data: image/<image format>;base64,<Base64 encoding>. Note that <image format> must be in lowercase, e. g. data: image/png;base64,<base64_image>
Note:
  • The incoming image needs to meet the following requirements:

    • Image formats: jpeg, png (seedream-5.0-lite/4.5/4.0 models add support for webp, bmp, tiff, gif formats)

    • Aspect ratio (width/height) range:

      • [1/16,16](Applicable models: seedream-5.0-lite/4.5/4.0)
    • Width and height length (px) > 14

    • Size: No more than 30MB

    • Total pixels: No more than 6000x6000 = 36,000,000 px (this is a limit on the product of the width and height of a single image in pixels, rather than a separate limit on the width or height individually)

seedream-5.0-lite/4.5/4.0 supports a maximum of 14 reference images as input.
Seedream 5.0 Pro supports a maximum of 10 reference images as input
size
string
No Specify the size information of the generated image. The following two methods are supported and cannot be used interchangeably.
  • Method 1 | Specify the resolution of the generated image, and describe the aspect ratio, shape or intended use of the image in natural language in the prompt; the model will ultimately determine the size of the generated image.

    • Available values: seedream-5.0-pro (1K, 2K, default 2K), seedream-5.0-lite (2K, 3K, 4K), doubao-seedream-4.5 (2K, 4K), doubao-seedream-4.0 (1K, 2K, 4K)
  • Mode 2 | Specify the pixel values for the width and height of the generated image; common recommended values are shown in the attached table:

    • Default value:(2048x2048)
    • Total pixel value range: seedream-5.0-pro ([1280x720 (921600), 2048x2048 (4194304)]), seedream-5.0-lite ([2560x1440=3686400, 3072x3072x1.1025=10404496]), seedream-4.5 ([2560x1440=3686400, 4096x4096=16777216]), seedream-4.0 ([1280x720=921600, 4096x4096=16777216])
    • Aspect ratio value range: [1/16,16]
Note: When using Mode 2, both the total pixel value range and the aspect ratio value range must be satisfied simultaneously. Herein, the total pixel refers to the restriction on the product of the width and height in pixels, rather than a restriction on the individual value of either the width or the height.
seed integer No The default value is -1, which is a random seed used to control the randomness of the content generated by the model. The value ranges from [-1,2147483647].
sequential_image_generation
string No This parameter is only supported by seedream-5.0-lite/4.5/4.0
Seedream 5.0 Pro is not supported
Controls whether to disable the group image function, with the default value being disabled
  • auto: Automatic judgment mode. The model will independently determine whether to return a group of images and the number of images contained in the group based on the prompts provided by the user.
  • disabled: disables the image gallery feature, and the model will only generate a single image.
sequential_image_generation_options
object No This parameter is only supported by seedream-5.0-lite/4.5/4.0, and it is the configuration for the image group function. It only takes effect when sequential_image_generation is set to auto.
Seedream 5.0 Pro is not supported
sequential_image_generation_options.max_images
integer
No
Specify the maximum number of images that can be generated for this request; the default value is 15.
  • Value range: [1,15]
Note:
The actual number of images that can be generated is not only affected by max_images, but also by the number of input reference images. The sum of the number of input reference images and the number of finally generated images shall be no more than 15.
stream boolean No This parameter is only supported by seedream-5.0-lite/4.5/4.0
The default value is false, which controls whether to enable the streaming output mode.
  • false: Non-streaming output mode, which waits for all images to be fully generated before returning all information at once.
  • true: Streaming output mode, which returns the output result of each image in real time. This mode takes effect in both single-image and multi-image generation scenarios.
tools Array No Only seedream-5.0-lite supports this parameter
tools.type string
No Only seedream-5.0-lite supports this parameter
  • web_search (currently the only available value)
response_format
string No Specify the return format of the generated image; the default value is url.
The generated image is in JPEG format and supports the following two return modes:
  • url: returns the image download link;the link is valid within 24 hours after the image is generated, please download the image in time.
  • b64_json: Returns image data in JSON format as a Base64-encoded string.
watermark
boolean No Specifies whether to add a watermark to the generated image; the default value is true.
  • false: No watermark will be added.
  • true: Add a watermark label reading "AI-generated" in the bottom right corner of the image
output_format string
No Only seedream-5.0-lite/5.0 pro supports this parameter
  • jpeg (default)
  • png
optimize_prompt_options object
No Configuration of the Prompt Optimization Feature
optimize_prompt_options.mode
string
No Set the mode used by the prompt optimization function, with the default value being standard.
  • standard: Standard mode, which generates higher-quality content but takes longer.
  • fast: Fast mode, which takes less time to generate content but delivers average quality. Not supported by seedream-5.0-lite/4.5
  • Appendix 1: Recommended width and height pixel values for seedream4.5
aspect ratio width and height pixel values
1:1 2048x2048
4:3 2304x1728
3:4 1728x2304
16:9 2560x1440
9:16 1440x2560
3:2 2496x1664
2:3 1664x2496
21:9 3024x1296

Appendix 2: seedream4.0

resolution aspect ratio width and height pixel values
1k 1:1 1024x1024
4:3 1152x864
3:4 864x1152
16:9 1280x720
9:16 720x1280
3:2 1248x832
2:3 832x1248
21:9 1512x648
2k 1:1 2048x2048
4:3 2304x1728
3:4 1728x2304
16:9 2848x1600
9:16 1600x2848
3:2 2496x1664
2:3 1664x2496
21:9 3136x1344
4k 1:1 4096x4096
4:3 4704x3520
3:4 3520x4704
16:9 5504x3040
9:16 3040x5504
3:2 4992x3328
2:3 3328x4992
21:9 6240x2656
  • Appendix 3: seedream5.0 lite
resolution aspect ratio width and height pixel values
2k 1:1 2048x2048
4:3 2304x1728
3:4 1728x2304
16:9 2848x1600
9:16 1600x2848
3:2 2496x1664
2:3 1664x2496
21:9 3136x1344
3k 1:1 3072x3072
4:3 3456x2592
3:4 2592x3456
16:9 4096x2304
9:16 2304x4096
3:2 3744x2496
2:3 2496x3744
21:9 4704x2016
4k 1:1 4096x4096
4:3 4704x3520
3:4 3520x4704
16:9 5504x3040
9:16 3040x5504
3:2 4992x3328
2:3 3328x4992
21:9 6240x2656
  • Appendix 4: Recommended Aspect Ratio Pixel Values for seedream5.0 pro
resolution aspect ratio width and height pixel values
1k 1:1 1024x1024
4:3 1152x864
3:4 864x1152
16:9 1424x800
9:16 800x1424
3:2 1248x832
2:3 832x1248
21:9 1568x672
2k 1:1 2048x2048
4:3 2368x1776
3:4 1776x2368
16:9 2816x1584
9:16 1584x2816
3:2 2496x1664
2:3 1664x2496
21:9 3136x1344

Request Body Example

Text-to-Image

curl https://genaiapi-m2.cloudsway.net/v1/ai/{endpointPath}/seedream/image/generations \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer $API_KEY" \
  -d '{
    "prompt": "A vibrant close-up editorial portrait, the model has a sharp gaze, wearing a sculptural hat, rich color blocking, sharp eye focus, shallow depth of field, Vogue magazine cover aesthetic style, shot in medium format, with intense studio lighting.",
    "size": "2K",
    "watermark": false
}'

Image-to-Image

curl -X https://genaiapi-m2.cloudsway.net/v1/ai/{endpointPath}/seedream/image/generations \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer ${your_AK}" \
  -d '{
    "prompt": "Keep the model pose and the flowing shape of the liquid garment unchanged. Change the garment material from silver metal to completely transparent clear water (or glass). Through the liquid water flow, the skin details of the model can be seen. The light and shadow change from reflection to refraction.",
    "image": "https://ark-project.tos-cn-beijing.volces.com/doc_image/seedream4_5_imageToimage.png",
    "size": "2K",
    "watermark": false
}'

Multi-Image to Image

curl -X https://genaiapi-m2.cloudsway.net/v1/ai/{endpointPath}/seedream/image/generations \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer ${your_AK}" \
  -d '{
    "prompt": "Replace the clothing in image 1 with the clothing in image 2",
    "image": ["https://ark-project.tos-cn-beijing.volces.com/doc_image/seedream4_imagesToimage_1.png", "https://ark-project.tos-cn-beijing.volces.com/doc_image/seedream4_5_imagesToimage_2.png"],
    "sequential_image_generation": "disabled",
    "size": "2K",
    "watermark": false
}'

Example of Non-Streaming Response

{
    "model": "doubao-seedream-4-5-251128",
    "created": 1757323224,
    "data": [
        {
            "url": "https://...",
            "output_format": "jpeg",
            "size": "1760x2368"
        }
    ],
    "usage": {
        "generated_images": 1,
        "output_tokens": 16280,
        "input_images": 3,
        "total_tokens": 16280
    }
}

Example of Streaming Response

event: image_generation.partial_succeeded
data: {
  "type": "image_generation.partial_succeeded",
  "model": "doubao-seedream-4-5-251128",
  "created": 1757396757,
  "image_index": 0,
  "url": "https://...",
  "size": "2496x1664"
}

event: image_generation.partial_succeeded
data: {
  "type": "image_generation.partial_succeeded",
  "model": "doubao-seedream-4-5-251128",
  "created": 1757396785,
  "image_index": 1,
  "url": "https://...",
  "size": "2496x1664"
}

event: image_generation.partial_succeeded
data: {
  "type": "image_generation.partial_succeeded",
  "model": "doubao-seedream-4-5-251128",
  "created": 1757396825,
  "image_index": 2,
  "url": "https://...",
  "size": "2496x1664"
}

event: image_generation.completed
data: {
  "type": "image_generation.completed",
  "model": "doubao-seedream-4-5-251128",
  "created": 1757396825,
  "usage": {
    "generated_images": 3,
    "output_tokens": 48672,
    "total_tokens": 48672
  }
}

data: [DONE]

Description of Streaming Response Events

Event Type Description
image_generation.partial_succeeded In streaming response mode, this event is returned when any image is successfully generated
image_generation.partial_failed
In the streaming response mode, this event is returned when any image fails to be generated.
  • If the failure is caused by failed review, the system will still proceed to request the next image generation task, which means it will not affect the generation process of other images within the same request.
  • If the failure is caused by an internal service exception (500), the system will not proceed to request the next image generation task.
image_generation.completed It is the last response event of this streaming return, which is returned after all requested images (whether successful or failed) have been processed.

Response Example When an Error Occurs

"error": {
  "code":"BadRequest"
  "message":"The request failed because it is missing one or multiple required parameters. Request ID: {id}"
}